window.onload = function () {
  doApi("jets");
  declareEvents();
}

const declareEvents = function () {
  let search_btn = document.querySelector("#search_btn");
  search_btn.addEventListener("click", function () {
    let input_val = document.querySelector("#input_search").value;
    doApi(input_val)
  })

  document.addEventListener("keydown", function (e) {
    // console.log("keyboard clicked" , e.key)
    if (e.key == "Enter") {
      let input_val = document.querySelector("#input_search").value;
      doApi(input_val);
    }
  })
}

const doApi = function (_searchQ) {
  document.querySelector(".row").innerHTML = `
  <div class="text-center mt-3 w-100">
    <img src="images/loading.gif" width="100" >
    </div>
  `;
  let url = `https://pixabay.com/api/?key=23731089-db715d57cdb59efa0ed295b6a&q=${_searchQ}&image_type=photo`
  axios.get(url)
    .then(function (resp) {
      console.log(resp.data.hits);
      createPics(resp.data.hits);
    })

}


const createPics = function (_ar) {
  document.querySelector(".row").innerHTML = "";
  _ar.forEach(function (item) {
    let pic = new Pixa(".row", item);
    pic.render();
  })
}